from pymongo import MongoClient
from pymongo.database import Database

from . import idec
from . import idict
from . import ioverfunc


@idec.Retry('InitMongo', cycle=10)
def __init__(name: str, conf: idict) -> Database:
    db: str = conf.pop('db', name)

    client = MongoClient(**conf)
    ioverfunc.add(client.close)

    return client[db]


oi120: Database
oi219: Database
