from setuptools import setup

setup(
    name='isddc',
    version='1.0.0',
    # author='Null',
    # author_email='zhuyk4@lenovo.com',
    # description='Null',
    # long_description=open('README.rst').read(),
    license='MIT',
    # url='Null',
    packages=['isddc'],
    install_requires=[
        'dbutils>=2.0',
        'PyYAML>=5.1.2',
        'pykafka>=2.8.0',
        'PyMySQL>=0.9.3',
        'influxdb>=5.2.3',
        'pymongo>=3.11.0',
        'paramiko>=2.6.0',
        'aliyun-python-sdk-core>=2.13.13',
    ],
    classifiers=[
        'Environment :: Web Environment',
        'Intended Audience :: Developers',
        'Operating System :: OS Independent',
        'Topic :: Text Processing :: Indexing',
        'Topic :: Utilities',
        'Topic :: Internet',
        'Topic :: Software Development :: Libraries :: Python Modules',
        'Programming Language :: Python',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.6',
    ]
)
